mobius_disk_includedir = $(includedir)/mobius/disk
noinst_LTLIBRARIES = libmobius-disk.la

nobase_mobius_disk_include_HEADERS =			\
	disk.h						\
	disk_imagefile.h				\
	disk_impl_base.h				\
	disk_impl_imagefile.h				\
	disk_impl_null.h				\
	disk_impl_reader.h				\
	disk_reader.h

libmobius_disk_la_CXXFLAGS = -I$(top_srcdir)/src

libmobius_disk_la_SOURCES =				\
	disk.cc						\
	disk_imagefile.cc				\
	disk_reader.cc					\
	disk_impl_base.cc				\
	disk_impl_imagefile.cc				\
	disk_impl_reader.cc

libmobius_disk_la_LDFLAGS = -avoid-version

if HAVE_LIBUDEV
libmobius_disk_la_SOURCES +=				\
	disk_device.cc					\
	disk_impl_device.cc

nobase_mobius_disk_include_HEADERS +=			\
	disk_device.h					\
	disk_impl_device.h
endif
